\section{Data}
\label{sec:data}

Data has been download from \href{https://drive.google.com/drive/folders/<REDACTED>?usp=sharing}{the Google Drive folder} \kse{} shared.

\subsection{Parsing}
\label{subsec:data_parse}

A \href{https://github.com/cfpark00/CElegans-GAN/tree/stefano}{Jupyter notebook} has been developed to parse data:

\begin{enumerate}
    \item time frames are extracted from \texttt{n2} raw files
    \item red channel is considered only
    \item maximum $Z$ projection is applied to obtain a $2D$ image out of multiple $Z$-axis images
\end{enumerate}

\subsection{Cleaning}
\label{subsec:data_clean}

\begin{enumerate}
    \item threshold outliers (based on $[2, 98]$ percentiles)
    \item min-max normalization (in range $[0, 1]$ since image is grayscale)
\end{enumerate}

\subsection{Augmenting}
\label{subsec:data_augment}

\begin{itemize}
    \item flip/flop
    \item rotation counterclockwise/clockwise
    \item \matt{} suggested shear transformations
\end{itemize}

\subsection{Samples}
\label{subsec:data_samples}

\fg[worm_samples]{} shows the 2 main \textit{worm categories}.